# Generated by Django 4.2.4 on 2024-02-18 13:39

import django.contrib.gis.db.models.fields
import django.contrib.gis.geos.point
from django.db import migrations, models
import django.db.models.deletion

from utils.utils import add_multiple_records

car_brands_data = [{"brand": "Seat"}, {"brand": "Renault"},
                   {"brand": "Peugeot"}, {"brand": "Dacia"},
                   {"brand": "Citroën"}, {"brand": "Opel"},
                   {"brand": "Alfa Romeo"},  {"brand": "Škoda"},
                   {"brand": "Chevrolet"},  {"brand": "Porsche"},
                   {"brand": "Honda"}, {"brand": "Subaru"},
                   {"brand": "Mazda"}, {"brand": "Mitsubishi"},
                   {"brand": "Lexus"}, {"brand": "Toyota"},
                   {"brand": "BMW"}, {"brand": "Volkswagen"},
                   {"brand": "Suzuki"}, {"brand": "Mercedes-Benz"},
                   {"brand": "Saab"}, {"brand": "Audi"},
                   {"brand": "Kia"},  {"brand": "Land Rover"},
                   {"brand": "Dodge"}, {"brand": "Chrysler"},
                   {"brand": "Ford"}, {"brand": "Hummer"},
                   {"brand": "Hyundai"}, {"brand": "Infiniti"},
                   {"brand": "Jaguar"}, {"brand": "Jeep"},
                   {"brand": "Nissan"}, {"brand": "Volvo"},
                   {"brand": "Daewoo"}, {"brand": "Fiat"},
                   {"brand": "MINI"}, {"brand": "Rover"},
                   {"brand": "Smart"}]

car_color_data = [{'color': 'black'}, {'color': 'white'},
                  {'color': 'red'}, {'color': 'blue'}]


def add_car_brands_data(apps, schema_editor):
    add_multiple_records(apps, "map", "CarBrand",  car_brands_data)


def add_car_color_data(apps, schema_editor):
    add_multiple_records(apps, "map", "CarColor",  car_color_data)


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='CarBrand',
            fields=[
                ('id', models.BigAutoField(auto_created=True,
                 primary_key=True, serialize=False, verbose_name='ID')),
                ('brand', models.CharField(max_length=255, unique=True)),
            ],
        ),
        migrations.CreateModel(
            name='CarColor',
            fields=[
                ('id', models.BigAutoField(auto_created=True,
                 primary_key=True, serialize=False, verbose_name='ID')),
                ('color', models.CharField(max_length=50, unique=True)),
            ],
        ),
        migrations.CreateModel(
            name='Violation',
            fields=[
                ('id', models.BigAutoField(auto_created=True,
                 primary_key=True, serialize=False, verbose_name='ID')),
                ('coordinate', django.contrib.gis.db.models.fields.PointField(
                    default=django.contrib.gis.geos.point.Point(0.0, 0.0), srid=4326)),
                ('image1', models.ImageField(
                    blank=True, null=True, upload_to='images/')),
                ('image2', models.ImageField(
                    blank=True, null=True, upload_to='images/')),
                ('image3', models.ImageField(
                    blank=True, null=True, upload_to='images/')),
                ('image4', models.ImageField(
                    blank=True, null=True, upload_to='images/')),
                ('comment', models.CharField(max_length=255, null=True)),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now_add=True)),
                ('brand', models.ForeignKey(
                    on_delete=django.db.models.deletion.CASCADE, to='map.carbrand')),
                ('color', models.ForeignKey(
                    on_delete=django.db.models.deletion.CASCADE, to='map.carcolor')),
            ],
        ),

        migrations.RunPython(add_car_brands_data),
        migrations.RunPython(add_car_color_data)

    ]
